﻿using System;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Effects;

namespace DropShadow2
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        private DropShadowEffect _effect = new DropShadowEffect();

        public MainWindow()
        {
            InitializeComponent();

            {
                _effect.Color = Colors.Black;
                _effect.BlurRadius = 20;
                _effect.ShadowDepth = 0;
                _effect.Opacity = 0.25;
                _effect.RenderingBias = RenderingBias.Performance;
            }
        }

        private void Window_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (e.LeftButton == MouseButtonState.Pressed)
                this.DragMove();
        }

        private void Window_Activated(object sender, EventArgs e)
        {
            this.Effect = _effect;
        }

        private void Window_Deactivated(object sender, EventArgs e)
        {
            this.Effect = null;
        }

        private void Window_StateChanged(object sender, EventArgs e)
        {
            var c = (Window)sender;
            this.BorderThickness = (c.WindowState == WindowState.Maximized) ? new Thickness(0) : new Thickness(30);
        }
    }
}
